API ReferenceWorkflows
Read inbound webhook configuration without secret material.
Read inbound webhook configuration without secret material. - Rensei REST API operation reference.
GET
header
AuthorizationBearer <WorkOS user access token>WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.
id*stringLength
1 <= length <= 256Endpoint configuration.
application/json- response
id*stringworkflowId*stringtriggerId*stringmapping*path*stringcurl -X GET 'https://app.rensei.ai/api/workflows/string/inbound-webhook'Example Response
{ "id": "string", "workflowId": "string", "triggerId": "string", "mapping": { "property1": "string", "property2": "string" }, "path": "string"}Activate a saved workflow after resource and inbound mapping validation.
Activate a saved workflow after resource and inbound mapping validation. - Rensei REST API operation reference.
Create an inbound webhook and reveal its signing secret once.
Create an inbound webhook and reveal its signing secret once. - Rensei REST API operation reference.